compact3
javax.lang.model.util

## Class AbstractElementVisitor8<R,P>

- java.lang.Object
- - javax.lang.model.util.AbstractElementVisitor6<R,P>
  - - javax.lang.model.util.AbstractElementVisitor7<R,P>
    - - javax.lang.model.util.AbstractElementVisitor8<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  ElementVisitor<R,P>

    @SupportedSourceVersion(value=RELEASE_8)
    public abstract class AbstractElementVisitor8<R,P>
    extends AbstractElementVisitor7<R,P>

A skeletal visitor of program elements with default behavior appropriate for the `RELEASE_8` source version.

WARNING: The `ElementVisitor` interface implemented by this class may have methods added to it in the future to accommodate new, currently unknown, language structures added to future versions of the Java™ programming language. Therefore, methods whose names begin with `"visit"` may be added to this class in the future; to avoid incompatibilities, classes which extend this class should not declare any instance methods with names beginning with `"visit"`.

When such a new visit method is added, the default implementation in this class will be to call the `visitUnknown` method. A new abstract element visitor class will also be introduced to correspond to the new language level; this visitor will have different default behavior for the visit method in question. When the new visitor is introduced, all or portions of this visitor may be deprecated.

Note that adding a default implementation of a new visit method in a visitor class will occur instead of adding a default method directly in the visitor interface since a Java SE 8 language feature cannot be used to this version of the API since this version is required to be runnable on Java SE 7 implementations. Future versions of the API that are only required to run on Java SE 8 and later may take advantage of default methods in this situation.

Since:
  1.8
See Also:
  `AbstractElementVisitor6`, `AbstractElementVisitor7`

### Constructor Summary

Constructors
`protected` `AbstractElementVisitor8()` Constructor for concrete subclasses to call.

### Method Summary

### Methods inherited from class javax.lang.model.util.AbstractElementVisitor6

`visit, visit, visitUnknown`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.lang.model.element.ElementVisitor

`visitExecutable, visitPackage, visitType, visitTypeParameter, visitVariable`

### Constructor Detail

#### AbstractElementVisitor8

    protected AbstractElementVisitor8()

Constructor for concrete subclasses to call.